DependencyConfiguration (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.maven.aether.config
[Groovy] Class DependencyConfiguration

    java.lang.Object
      org.codehaus.groovy.grails.resolve.maven.aether.config.DependencyConfiguration

    @groovy.transform.CompileStatic
    class DependencyConfiguration

Used to configure an individual dependency

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary
`static java.lang.String` | `WILD_CARD`

Property Summary
`org.eclipse.aether.graph.Dependency` | `dependency`
`boolean` | `exported`

Constructor Summary
`DependencyConfiguration(org.eclipse.aether.graph.Dependency dependency)`

Method Summary
`void` | `exclude(java.util.Map exc)`
`void` | `exclude(java.lang.String name)`
`void` | `exclude(org.eclipse.aether.graph.Exclusion exclusion)`
`void` | `excludes(java.lang.Object... excludes)`
`protected java.util.List` | `getExclusionList()`
`boolean` | `getTransitive()`
`void` | `propertyMissing(java.lang.String name, java.lang.Object value)`
`void` | `setChanging(boolean b)`
`void` | `setExport(boolean e)`
`void` | `setOtional(boolean b)`
`void` | `setScope(java.lang.String s)`
`void` | `setTransitive(boolean transitive)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### WILD_CARD

    public static final java.lang.String WILD_CARD

Property Detail

### dependency

    @groovy.lang.Delegate
    org.eclipse.aether.graph.Dependency dependency

### exported

    boolean exported

Constructor Detail

### DependencyConfiguration

    DependencyConfiguration(org.eclipse.aether.graph.Dependency dependency)

Method Detail

### exclude

    void exclude(java.util.Map exc)

### exclude

    void exclude(java.lang.String name)

### exclude

    void exclude(org.eclipse.aether.graph.Exclusion exclusion)

### excludes

    void excludes(java.lang.Object... excludes)

### getExclusionList

    protected java.util.List getExclusionList()

### getTransitive

    boolean getTransitive()

### propertyMissing

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    void propertyMissing(java.lang.String name, java.lang.Object value)

### setChanging

    void setChanging(boolean b)

### setExport

    void setExport(boolean e)

### setOtional

    void setOtional(boolean b)

### setScope

    void setScope(java.lang.String s)

### setTransitive

    void setTransitive(boolean transitive)

Groovy Documentation